- Qt 6.4
- Qt Network
- QHash Proxy Page
- Qt 6.4.2 Reference Documentation

# QHash Proxy Page

## Functions

size_t | qHash(const QOcspResponse &response, size_t seed = 0)
size_t | qHash(const QSslCertificate &key, size_t seed = 0)
size_t | qHash(QSslEllipticCurve curve, size_t seed = 0)
size_t | qHash(const QSslError &key, size_t seed = 0)

## Function Documentation

### `[since 5.13]` size_t qHash(const QOcspResponse &response, size_t seed = 0)

Returns the hash value for the response, using seed to seed the calculation.

This function was introduced in Qt 5.13.

### `[since 5.4]` size_t qHash(const QSslCertificate &key, size_t seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.4.

### `[since 5.5]` size_t qHash(QSslEllipticCurve curve, size_t seed = 0)

Returns an hash value for the curve curve, using seed to seed the calculation.

This function was introduced in Qt 5.5.

### `[since 5.4]` size_t qHash(const QSslError &key, size_t seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.4.